JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Label::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » widgets

This abstract base class is implemented by LookAndFeel classes to provide label drawing functionality. More...

`#include <juce_Label.h>`

Inheritance diagram for Label::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawLabel (Graphics &, Label &)=0
virtual Font | getLabelFont (Label &)=0
virtual BorderSize< int > | getLabelBorderSize (Label &)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide label drawing functionality.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual Label::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ drawLabel()

virtual void Label::LookAndFeelMethods::drawLabel | ( | Graphics & | ,
|  | Label & | )
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getLabelFont()

virtual Font Label::LookAndFeelMethods::getLabelFont | ( | Label & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getLabelBorderSize()

virtual BorderSize< int > Label::LookAndFeelMethods::getLabelBorderSize | ( | Label & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_Label.h